<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Vzdelavanie\Models\Testovanie;

/**
 * Enum HodnotenieOdpovedeEnum
 *
 * @package Seka\Portal\Modul\Vzdelavanie\Models\Testovanie
 */
enum HodnotenieOdpovedeEnum: string
{
    case SPRAVNA = 'SPRAVNA';
    case NESPRAVNA = 'NESPRAVNA';

    /**
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::SPRAVNA => 'správna',
            self::NESPRAVNA => 'nesprávna',
        };
    }

    /**
     * @param \Seka\Portal\Modul\Vzdelavanie\Models\Testovanie\HodnotenieOdpovedeEnum $other
     *
     * @return bool
     */
    public function equal(self $other): bool
    {
        return $this === $other;
    }
}
